@echo off
cls

echo .------------------------------------------------------------------
echo .                           mkboot.bat                             
echo .------------------------------------------------------------------
echo . This utility creates Communications Server 1000m or Signaling 
echo . Server Boot Floppies, which can be used to boot a system, to create
echo . a bootable CD, or for trouble-shooting and diagnostic purposes.
echo .
echo . Usage: mkboot [/cd [/dos]]
echo . 
echo . If no parameters are specified, then a Boot Floppy that boots the
echo . system from the hard disk is created.
echo .
echo . If "/cd" is specified, then a Boot Floppy that can be used for
echo . creating a bootable CD, using "floppy emulation", is created.
echo . (See your CD writer software's help pages for instructions on
echo . creating a bootable CD.)
echo .
echo . If "/dos" is also specified, then the files usually present on a
echo . MS-DOS boot floppy are also created (some CD writer programs
echo . require these files to be present).
echo .
echo . Please insert a blank 2HD (1.44 MB) diskette in drive A: now.
echo . It will take a few minutes to format the floppy and copy the
echo . system files to it.
echo .
pause

echo .
echo . Formatting diskette . . .
echo .
format a: /V:CSE1000BOOT /F:1.44 < n > nul
if errorlevel 1 goto formatfail
echo . Diskette formatted OK.

:boot
echo .
echo . Installing boot sector . . .
echo .
vxsys a:
if errorlevel 1 goto sysfail

echo .
echo . Copying files . . .
echo .
if "%1" == "/cd" goto cdrom

copy fdrom.bin a:bootrom.sys > nul
if errorlevel 1 goto copyfail1
echo . a:bootrom.sys copied OK.
goto nvram

:cdrom
copy cdrom.bin a:bootrom.sys > nul
if errorlevel 1 goto copyfail1
echo . a:bootrom.sys copied OK.

:nvram
if "%1" == "/cd" goto dosfiles

copy nvram.sys a:nvram.sys > nul
if errorlevel 1 goto copyfail2
echo . a:nvram.sys copied OK.

:dosfiles
if not "%2" == "/dos" goto complete

copy nvram.sys a:io.sys > nul
if errorlevel 1 goto copyfail3
attrib +r +s +h a:\io.sys 
echo . a:io.sys copied OK.

copy nvram.sys a:msdos.sys > nul
if errorlevel 1 goto copyfail4
attrib +r +s +h a:\msdos.sys
echo . a:msdos.sys copied OK.

echo "rem config.sys" > a:config.sys
if errorlevel 1 goto copyfail5
echo . a:config.sys created OK.

echo "rem autoexec.bat" > a:autoexec.bat
if errorlevel 1 goto copyfail6
echo . a:autoexec.bat created OK.

:complete
echo .
echo . The Boot Floppy is successfully created.
echo . You may remove the diskette from the drive
echo . and close this window now.
echo .
goto end

:formatfail
echo .
echo . Failed to format floppy!
echo . Make sure the floppy is not write protected,
echo . or try using another floppy.
echo .
goto end

:sysfail
echo .
echo . Failed to install boot sector on drive A:!
echo .
goto end

:copyfail1
echo .
echo . Failed to copy BOOTROM.SYS!
echo .
goto end

:copyfail2
echo .
echo . Failed to copy NVRAM.SYS!
echo .
goto end

:copyfail3
echo .
echo . Failed to copy IO.SYS!
echo .
goto end

:copyfail4
echo .
echo . Failed to copy MSDOS.SYS!
echo .
goto end

:copyfail5
echo .
echo . Failed to copy CONFIG.SYS!
echo .
goto end

:copyfail6
echo .
echo . Failed to copy AUTOEXEC.BAT!
echo .
goto end

:end

